# Generated by Django 3.2 on 2022-09-11 04:45

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='cliente',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de registro')),
                ('updated_date', models.DateTimeField(auto_now=True, verbose_name='Fecha de modificación')),
                ('name', models.CharField(max_length=200, verbose_name='Nombres')),
                ('last_name', models.CharField(max_length=200, verbose_name='Apellidos')),
                ('doc_id', models.CharField(max_length=20, unique=True, verbose_name='Documento de Identidad')),
                ('email', models.EmailField(max_length=100, verbose_name='Email')),
                ('nacionalidad', models.CharField(max_length=50, null=True, verbose_name='Nacionalidad')),
            ],
            options={
                'ordering': ('last_name',),
            },
        ),
        migrations.CreateModel(
            name='habitacion',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de registro')),
                ('updated_date', models.DateTimeField(auto_now=True, verbose_name='Fecha de modificación')),
                ('floor_number', models.PositiveIntegerField(verbose_name='Nro de piso')),
                ('room_number', models.PositiveIntegerField(verbose_name='Nro de habitacion')),
                ('price', models.DecimalField(decimal_places=2, max_digits=5)),
                ('number_beds', models.PositiveIntegerField(verbose_name='Nro de camas')),
                ('private_bath', models.BooleanField(default=True, verbose_name='Con baño privado')),
            ],
            options={
                'ordering': ('floor_number',),
            },
        ),
        migrations.CreateModel(
            name='reserva_maestro',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de registro')),
                ('updated_date', models.DateTimeField(auto_now=True, verbose_name='Fecha de modificación')),
                ('state', models.CharField(choices=[('PENDIENTE', 'PENDIENTE'), ('PAGADO', 'PAGADO'), ('ELIMINADO', 'ELIMINADO')], max_length=10, verbose_name='Estado de la reserva')),
                ('client_id', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='app.cliente')),
            ],
            options={
                'ordering': ('updated_date',),
            },
        ),
        migrations.CreateModel(
            name='reserva_detalle',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de registro')),
                ('updated_date', models.DateTimeField(auto_now=True, verbose_name='Fecha de modificación')),
                ('check_out_date', models.DateField(verbose_name='Check out')),
                ('check_in_date', models.DateField(verbose_name='Check in')),
                ('reserva_maestro_id', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='app.reserva_maestro')),
                ('room_id', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='app.habitacion')),
            ],
            options={
                'ordering': ('updated_date',),
            },
        ),
        migrations.CreateModel(
            name='factura',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_date', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de registro')),
                ('updated_date', models.DateTimeField(auto_now=True, verbose_name='Fecha de modificación')),
                ('payment_method', models.CharField(max_length=20, null=True, verbose_name='Metodo de pago')),
                ('payment_date', models.DateTimeField(auto_now_add=True, verbose_name='Fecha de Pago')),
                ('monto_total', models.DecimalField(decimal_places=2, max_digits=5)),
                ('book_id', models.OneToOneField(on_delete=django.db.models.deletion.PROTECT, to='app.reserva_maestro')),
            ],
            options={
                'ordering': ('created_date',),
            },
        ),
    ]
